When trying to load Configuration file this error is coming in Logstash CMD on windows


(Danyal) #1

C:\logstash-2.3.4>bin\logstash agent -f logstash.conf
io/console not supported; tty will not be manipulated
Settings: Default pipeline workers: 4
Pipeline aborted due to error {:exception=>#, :backtrace=>["C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/config/mixin.rb:87:in config_init'", "org/jruby/RubyHash.java:1342:ineach'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/config/mixin.rb:71:in config_init'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/outputs/base.rb:63:ininitialize'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/output_delegator.rb:74:in register'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:181:instart_workers'", "org/jruby/RubyArray.java:1613:in each'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:181:instart_workers'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:136:in run'", "C:/logstash-2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/agent.rb:473:instart_pipeline'"], :level=>:error}
stopping pipeline {:id=>"main"}
The signal HUP is in use by the JVM and will not work correctly on this platform

Can any one help to resolve this issue?


(Mark Walkom) #2

See Trying to load Configuration file this error has arrives in Logstash-5.0.0-alpha-4 CMD on windows


(Mark Walkom) #3